Bug 150643 - After installing openoffice.org-langpack-ko, cann't select "Use system font for user interface"
Summary: After installing openoffice.org-langpack-ko, cann't select "Use system font f...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-09 04:47 UTC by sangu
Modified: 2007-11-30 22:11 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2005-07-26 08:25:03 UTC


Attachments (Terms of Use)
option dialog (36.42 KB, image/png)
2005-03-09 04:48 UTC, sangu
no flags Details
Different UI Korea Font and Can't "Use system font user interface" option (136.70 KB, image/jpeg)
2005-07-16 02:51 UTC, sangu
no flags Details
new "Use system font" bug in openoffice.org (21.41 KB, image/jpeg)
2005-08-03 16:04 UTC, sangu
no flags Details

Description sangu 2005-03-09 04:47:38 UTC
Description of problem:
After installing openoffice.org-langpack-ko, I cann't select "Use system font
for user interface"
Version-Release number of selected component (if applicable):
openoffice.org-1.9.82-1

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
locale ko_KR.UTF-8

Comment 1 sangu 2005-03-09 04:48:32 UTC
Created attachment 111803 [details]
option dialog

Comment 2 Caolan McNamara 2005-03-09 09:27:46 UTC
According to the details about this feature, if the system font is "not
suitable" the feature is disabled and a different font selected for the UI. see
http://www.openoffice.org/issues/show_bug.cgi?id=16683

We need to see if this test is correct. So what's the
desktop->preferences->application font ?

Comment 3 sangu 2005-07-16 02:51:08 UTC
Created attachment 116832 [details]
Different UI Korea Font and Can't "Use system font user interface" option

This problem happens again in openoffice.org-core-1.9.117-1.1.0.fc4.

LANG=ko_KR.UTF-8.

Comment 4 sangu 2005-07-16 03:02:05 UTC
Selecting Non Korean font( like Tahoma,Bitstream Vera Sans)  in Application font
on  gnome-font-properties, This problem ( attachment 116832 [details] )happens. But
Selecting Korean font( like Gulim, Sans) this problem doesn't happen.

Comment 5 Caolan McNamara 2005-07-16 10:38:59 UTC
Ah yes, apparently OOo does tests to see if your application font is suitable
for the UI which is korean, it doesn't know about the new fontconfig stuff so it
would reject non-korean coverage fonts. It might be possible to find this test
and experimentally disable it for the UI and see if the fontconfig glyph
substitution does the right thing.

Comment 6 Caolan McNamara 2005-07-16 11:38:38 UTC
have a simple patch I'll try out in 1.9.118-1 rawhide

Comment 7 Caolan McNamara 2005-07-19 12:54:02 UTC
Can you see (when it's available on your local mirror) if 1.9.118-1 solves this
for you.

Comment 8 sangu 2005-08-03 16:04:45 UTC
Created attachment 117415 [details]
new "Use system font" bug in openoffice.org

Sorry about my slow answer. 

This bug 150643, comment 4 was fixed in 1.9.121-4, but new version (1.9.122-1)
comes with new "Use system font" bug.

UI font has only square glyph.

Comment 9 sangu 2005-08-03 16:07:29 UTC
Executed in gnome-terminal
$oowriter
--- Couldn't get FontFamily for 'Some English Font'
[...]

Comment 10 Caolan McNamara 2005-08-04 09:04:46 UTC
Yeah, I can actually reproduce that problem :-), so I've been able to fix it I
think. In 1.9.123 I expect this to work again.


Note You need to log in before you can comment on or make changes to this bug.